Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface Literal

All Superinterfaces:
  Expression

    @XmlElement(value="Literal")
    public interface Literal

extends Expression

Instances of this interface provide a constant, literal value that can be used in expressions.

The `evaluate` method of this class must return the same value as `getValue()`.

It should be noted that content of getValue() may be persisted with with XML based technologies. As an example a geoapi Geometry may be written out uding GML3, while a JTS Geometry may be written out using GML2. You should not assume that the same instance will be made available to all callers, please limit your self to pure data objects and don't use Literal to pass state or operations between systems.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary
`Object` | `getValue()` Returns the constant value held by this object.

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Method Detail

### getValue

    Object getValue()

  Returns the constant value held by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.